
#ifndef CLASS015_HPP
#define CLASS015_HPP
class Analyzed_object
	{
	/*design in subject "Analyzed_objects" */
	/*design assoc Observation with Observation <"is_object_of (0,M)", "has_as_object (1,1)">
*/
	/*design assoc Order_analyzed_object with Order_analyzed_object <"is_source_for (0,M)", "is_sourced_from (1,1)">
*/
	/*design assoc Patient with Patient <"is_sourced_from (1,1)", "is_source_for (0,M)">
*/
	/*design assoc Service_event_analyzed_object with Service_event_analyzed_object <"is_source_for (0,M)", "is_sourced_from (1,1)">
*/
	/*design assoc Stakeholder with Stakeholder <"is_collected_by (1,1)", "collects (0,M)">
*/

	/*design comment 
:/%Description%/A sample of a substance or material for examination or study (a urine specimen; a tissue specimen).
/%HL7Reference%/V2.2
*/
public:
private:
	/*design comment collection_end_datetime 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR
/%HL7El%/00242
*/
	int collection_end_datetime;
	int collection_scheduled_datetime;
	/*design comment collection_start_datetime 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR
/%HL7El%/00241
*/
	int collection_start_datetime;
	/*design comment collection_unit_type_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/OBR
/%HL7El%/00243
*/
	int collection_unit_type_code;
	/*design comment collection_volume_amount 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/OBR, OBR
/%HL7El%/00243, 00243
*/
	int collection_volume_amount;
	int condition_description;
	int extension_text;
	int identifier;
	int lymph_node_text;
	int method_of_collection_description;
	int size_text;
	int specimen_additive_code;
	/*design comment specimen_danger_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/OBR
/%HL7El%/00535
*/
	int specimen_danger_code;
	/*design comment specimen_source_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/OBR, OBR
/%HL7El%/00249, 00249
/%HL7Table%/0070, 0070
*/
	int specimen_source_code;
	};

#endif
