
#ifndef CLASS030_HPP
#define CLASS030_HPP
#include "Class059.hpp"
class Dietary_order: public Order
	{
	/*design in subject "Orders" */

	/*design comment 
:/%Description%/An authoritative direction or instruction concerning the system or course of diet for a patient.
*/
public:
private:
	int diet_service_identifier;
	/*design comment diet_type_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/ODS
/%HL7El%/00269
/%HL7Table%/0159
*/
	int diet_type_code;
	/*design comment dietary_instruction_description 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/ODT, ODS
/%HL7El%/00272
*/
	int dietary_instruction_description;
	/*design comment dietary_tray_type_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/ODT
/%HL7El%/00273
/%HL7Table%/0160
*/
	int dietary_tray_type_code;
	/*design comment service_period_code 
:/%Description%/
/%HL7Seg%/ODS, ODT
/%HL7El%/00270
*/
	int service_period_code;
	};

#endif
