
#ifndef CLASS044_HPP
#define CLASS044_HPP
#include "Class041.hpp"
class Healthcare_practitioner: public Healthcare_delivery_participant
	{
	/*design in subject "Healthcare_delivery_participants" */
	/*design assoc Order_healthcare_practitioner with Order_healthcare_practitioner <"participates_as (0,M)", "includes_the_participation_of (1,1)">
*/
	/*design assoc Patient_service_practitioner with Patient_service_practitioner <"is_involved_as (0,M)", "involves (1,1)">
*/

	/*design comment 
:/%Description%/A person in the role of Healthcare delivery participant.
*/
public:
private:
	int board_certification_type_code;
	int board_certified_indicator;
	int certification_date;
	int degree_name;
	int description;
	int graduate_school_name;
	int graduation_date;
	/*design comment identifier 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PRA, PD1
/%HL7El%/00690, 00757
*/
	int identifier;
	int practitioner_code;
	int primary_care_indicator;
	/*design comment privilege_codes 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PRA
/%HL7El%/00691
*/
	int privilege_codes;
	int recertification_date;
	/*design comment specialty_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PRA
/%HL7El%/00689
/%HL7Table%/0187
*/
	int specialty_code;
	};

#endif
