
#ifndef CLASS045_HPP
#define CLASS045_HPP
#include "Class070.hpp"
class Inpatient_encounter: public Patient_encounter
	{
	/*design in subject "Patient_encounters" */

	/*design comment 
:/%Description%/A patient encounter involving a hospital admission.
*/
public:
private:
	/*design comment actual_days_quantity 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00712
*/
	int actual_days_quantity;
	/*design comment admission_datetime 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00174
*/
	int admission_datetime;
	/*design comment admission_reason_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00183
*/
	int admission_reason_code;
	int admission_referral_code;
	/*design comment admission_source_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00144
/%HL7Table%/0023
*/
	int admission_source_code;
	/*design comment admission_type_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00134
/%HL7Table%/0007
*/
	int admission_type_code;
	/*design comment discharge_datetime 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00175
*/
	int discharge_datetime;
	/*design comment discharge_disposition_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00166
/%HL7Table%/0112
*/
	int discharge_disposition_code;
	/*design comment estimated_days_quantity 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00711
*/
	int estimated_days_quantity;
	/*design comment expected_discharge_disp_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00728
*/
	int expected_discharge_disp_code;
	/*design comment patient_valuables_description 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00185
*/
	int patient_valuables_description;
	/*design comment pre_admit_test_indicator 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00142
/%HL7Table%/0087
*/
	int pre_admit_test_indicator;
	int previous_care_status_code;
	/*design comment previous_encounter_date 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00715
*/
	int previous_encounter_date;
	int prior_care_license_code;
	int readmission_indicator;
	int registration_number;
	/*design comment valuables_location_description 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00186
*/
	int valuables_location_description;
	};

#endif
