
#ifndef CLASS048_HPP
#define CLASS048_HPP
class Location_encounter_role
	{
	/*design in subject "Locations" */
	/*design assoc Patient_encounter with Patient_encounter <"pertains_to (1,1)", "has (1,M)">
*/

	/*design comment 
:/%Description%/An association between a patient encounter and a location.
*/
public:
private:
	/*design comment effective_datetime 
:/%Description%/Date the association between the patient encounter and the facility location becomes effective.
*/
	int effective_datetime;
	/*design comment facility_location_role_code 
:/%Description%/A code depicting the relationship of the facility location to the patient encounter.
/%HL7Reference%/V2.3
/%HL7Seg%/PV1, PV2, PV1, PV1, PV1, PV1, PV1, FT1, PV1
/%HL7El%/00133, 00181, 00173, 00172, 00169, 00167, 00136, 00133, 00141
/%HL7Table%/0115, 0113
*/
	int facility_location_role_code;
	/*design comment status_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00170
/%HL7Table%/0116
*/
	int status_code;
	/*design comment termination_datetime 
:/%Description%/Date the association between the facility location and the patient encounter ends.
*/
	int termination_datetime;
	/*design comment usage_approved_indicator 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00736
*/
	int usage_approved_indicator;
	};

#endif
