
#ifndef CLASS082_HPP
#define CLASS082_HPP
class Pharm_treat_disp_route
	{
	/*design in subject "Pharmacy_treatment_dispenses" */

	/*design comment 
:/%Description%/The route by which a pharmacy treatment medication is dispensed.
*/
public:
private:
	/*design comment administration_device_identifier 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXR
/%HL7El%/00311
/%HL7Table%/0164
*/
	int administration_device_identifier;
	/*design comment administration_method_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXR
/%HL7El%/00312
/%HL7Table%/0165
*/
	int administration_method_code;
	/*design comment disense_counter_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXD
/%HL7El%/00334
*/
	int disense_counter_amount;
	/*design comment route_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXR
/%HL7El%/00309
/%HL7Table%/0162
*/
	int route_code;
	/*design comment site_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXR
/%HL7El%/00310
/%HL7Table%/0163
*/
	int site_code;
	};

#endif
