
#ifndef CLASS097_HPP
#define CLASS097_HPP
class Service_event
	{
	/*design in subject "Service_events" */
	/*design part Patient_service class Patient_service <"has_parts (0,M)", "is_part_of (1,1)">
*/
	/*design assoc Followup_plan with Followup_plan <"creates (0,M)", "is_created_in (1,1)">
*/
	/*design assoc Location with Location <"is_performed_at (1,1)", "is_location_for (0,M)">
*/
	/*design assoc Observation with Observation <"results_in (0,M)", "is_the_result_of (1,1)">
*/
	/*design assoc Patient with Patient <"is_applied_to (1,1)", "receives_service_under (0,M)">
*/
	/*design assoc Service_event_participant with Service_event_participant <"involves (1,M)", "is_involved_in (1,1)">
*/

	/*design comment 
:/%Description%/The rendering of a Healthcare service to a patient.
/%HL7Reference%/V2.2
*/
public:
private:
	int attestation_date;
	int attestation_due_date;
	/*design comment charge_to_practice_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR
/%HL7El%/00256
*/
	int charge_to_practice_amount;
	int charge_to_practice_code;
	/*design comment end_datetime 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR
/%HL7El%/00242
*/
	int end_datetime;
	/*design comment identifier 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/ORC, ORC
/%HL7El%/00216, 00217
*/
	int identifier;
	/*design comment scheduled_start_datetime 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR
/%HL7El%/00268
*/
	int scheduled_start_datetime;
	/*design comment service_event_description 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OM1
/%HL7El%/00591
*/
	int service_event_description;
	/*design comment start_datetime 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR
/%HL7El%/00241
*/
	int start_datetime;
	};

#endif
