
#ifndef CLASS103_HPP
#define CLASS103_HPP
class Ub_information
	{
	/*design in subject "Patient_billing_accounts" */
	/*design assoc Patient_billing_account with Patient_billing_account <"pertains_to (1,1)", "has (0,M)">
*/

	/*design comment 
:/%Description%/Billing account information particular to the national uniform billing form.
*/
public:
private:
	/*design comment condition_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/UB2, UB1
/%HL7El%/00555, 00536
/%HL7Table%/0043, 0043
*/
	int condition_code;
	/*design comment grace_days_amount 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/UB1
/%HL7El%/00540
*/
	int grace_days_amount;
	/*design comment occurrence_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/UB1, UB2
/%HL7El%/00545, 00559
*/
	int occurrence_code;
	/*design comment occurrence_date 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/UB2, UB1
/%HL7El%/00559, 00545
*/
	int occurrence_date;
	/*design comment occurrence_span_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/UB2, UB1
/%HL7El%/00560, 00546
*/
	int occurrence_span_code;
	/*design comment occurrence_span_from_date 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/UB1, UB2
/%HL7El%/00547, 00560
*/
	int occurrence_span_from_date;
	/*design comment occurrence_span_thru_date 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/UB1, UB2
/%HL7El%/00548, 00560
*/
	int occurrence_span_thru_date;
	/*design comment value_amount 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/UB1
/%HL7El%/00539
/%HL7Table%/0153
*/
	int value_amount;
	/*design comment value_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/UB1
/%HL7El%/00539
/%HL7Table%/0153
*/
	int value_code;
	};

#endif
