
#ifndef CLASS047_HPP
#define CLASS047_HPP
class Location
	{
	/*design in subject "Locations" */
	/*design assoc Location with Location <"is_included_in (0,1)", "includes (0,M)">
*/
	/*design assoc Location_encounter_role with Location_encounter_role <"has (0,M)", "pertains_to (1,1)">
*/
	/*design assoc Location_organization with Location_organization <"has (0,M)", "relates_to (1,1)">
*/
	/*design assoc Patient with Patient <"is_primary_facility_for (0,M)", "has_as_primary_facility (0,1)">
*/
	/*design assoc Pharm_treat_order with Pharm_treat_order <"recieved_delivery_of (0,M)", "is_delivered_to (1,1)">
*/

	/*design comment 
:/%Description%/A place of settlement, activity, or residence.
*/
public:
private:
	int address;
	int closing_date;
	/*design comment identifier 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PD1
/%HL7El%/00756
*/
	int identifier;
	int licensed_bed_quantity;
	int name;
	int opening_date;
	int service_specialty_code;
	/*design comment status_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/NPU, PV1
/%HL7El%/00170, 00170
/%HL7Table%/0116, 0116
*/
	int status_code;
	int telephone;
	/*design comment type_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00182
/%HL7Table%/0129
*/
	int type_code;
	};

#endif
