
#ifndef CLASS056_HPP
#define CLASS056_HPP
#include "Class059.hpp"
class Observation_order: public Order
	{
	/*design in subject "Orders" */

	/*design comment 
:/%Description%/An authoritative direction or instruction concerning an observation service for a patient.
/%HL7Reference%/V2.2
*/
public:
private:
	/*design comment reason_for_study_description 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR
/%HL7El%/00263
*/
	int reason_for_study_description;
	int special_instruction_description;
	/*design comment specimen_action_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/OBR, OBR
/%HL7El%/00245, 00245
/%HL7Table%/0065, 0065
*/
	int specimen_action_code;
	/*design comment suspected_findings_description 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/OBR
/%HL7El%/00247
*/
	int suspected_findings_description;
	/*design comment transportation_mode_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR
/%HL7El%/00262
/%HL7Table%/0124
*/
	int transportation_mode_code;
	};

#endif
