
#ifndef CLASS063_HPP
#define CLASS063_HPP
class Orderable_service
	{
	/*design in subject "Orderable_services" */
	/*design assoc Order_service_item with Order_service_item <"is_instantiated_as (0,M)", "is_an_instance_of (1,1)">
*/

	/*design comment 
:/%Description%/A category of patient services which can be ordered.
*/
public:
private:
	int billing_reference_text;
	/*design comment comment_description 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OM1, OM1
/%HL7El%/00591, 00626
*/
	int comment_description;
	/*design comment contact_phone_number 
:/%Description%/the contact number for questions about ordering or scheduling the service
/%HL7Reference%/V2.2
/%HL7Seg%/OM1
/%HL7El%/00602
*/
	int contact_phone_number;
	/*design comment effective_date 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OM1
/%HL7El%/00606
*/
	int effective_date;
	int fee_amount;
	/*design comment identifier 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX, OM1, OM1
/%HL7El%/00583, 00587, 00590
*/
	int identifier;
	/*design comment name 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OM1
/%HL7El%/00596
*/
	int name;
	int preferred_ordering_method_text;
	int preferred_scheduling_method_text;
	/*design comment procedure_guide_description 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OM1
/%HL7El%/00599
*/
	int procedure_guide_description;
	int service_requirment_description;
	int service_type_code;
	};

#endif
