
#ifndef CLASS001_HPP
#define CLASS001_HPP
class Accident
	{
	/*design in subject "Patient_encounters" */
	/*design assoc Patient_encounter with Patient_encounter <"results_in (1,M)", "is_caused_by (0,1)">
:/%Description%/Accidents are only of interest when they cause an encounter.
*/

	/*design comment 
:/%Description%/An undesirable or unfortunate happening that occurs unintentionally and usually results in harm, injury, damage, or loss.
*/
public:
private:
	/*design comment accident_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/ACC
/%HL7El%/00528
/%HL7Table%/0050
*/
	int accident_code;
	int accident_description;
	/*design comment job_related_injury_indicator 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/ACC, PV2
/%HL7El%/00813, 00716
/%HL7Table%/0136
*/
	int job_related_injury_indicator;
	/*design comment location_description 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/ACC
/%HL7El%/00529
*/
	int location_description;
	/*design comment occurrence_datetime 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/ACC
/%HL7El%/00527
*/
	int occurrence_datetime;
	};

#endif
