
#ifndef CLASS053_HPP
#define CLASS053_HPP
#include "Class073.hpp"
class Medication_patient_service: public Patient_service
	{
	/*design in subject "Patient_services" */

	/*design comment 
:/%Description%/The administration of a medication to a patient.
/%HL7Reference%/V2.2
*/
public:
private:
	/*design comment administered_quantity 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXA
/%HL7El%/00348
*/
	int administered_quantity;
	/*design comment administered_unit_type_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXA
/%HL7El%/00349
*/
	int administered_unit_type_code;
	/*design comment administration_device_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXR
/%HL7El%/00311
/%HL7Table%/0164
*/
	int administration_device_code;
	/*design comment administration_method_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXR
/%HL7El%/00312
/%HL7Table%/0165
*/
	int administration_method_code;
	/*design comment administration_route_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXR
/%HL7El%/00309
/%HL7Table%/0162
*/
	int administration_route_code;
	/*design comment administration_site_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXR
/%HL7El%/00310
/%HL7Table%/0163
*/
	int administration_site_code;
	/*design comment medication_identifier 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OM1, OBX, OM1
/%HL7El%/00590, 00583, 00587
*/
	int medication_identifier;
	/*design comment medication_name 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OM1
/%HL7El%/00596
*/
	int medication_name;
	int substitution_code;
	};

#endif
