
#ifndef CLASS090_HPP
#define CLASS090_HPP
#include "Class073.hpp"
class Procedure: public Patient_service
	{
	/*design in subject "Patient_services" */

	/*design comment 
:/%Description%/A therapeutic or diagnostic intervention employed in response to a patient condition.
/%HL7Reference%/V2.2
/%HL7Seg%/RXG, RXE
*/
public:
private:
	/*design comment anaesthesia_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PR1
/%HL7El%/00399
/%HL7Table%/0019
*/
	int anaesthesia_code;
	/*design comment classification_scheme_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PR1
/%HL7El%/00392
/%HL7Table%/0089
*/
	int classification_scheme_code;
	int coding_method_name;
	/*design comment description 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/OM1, PR1
/%HL7El%/00591, 00394
*/
	int description;
	int physical_status_class_code;
	/*design comment priority_ranking_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PR1
/%HL7El%/00404
*/
	int priority_ranking_code;
	/*design comment procedure_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/FT1, OM1, OM1, OBX
/%HL7El%/00590, 00393, 00587, 00583
/%HL7Table%/0088
*/
	int procedure_code;
	/*design comment procedure_datetime 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/RXA, RXA, PR1
/%HL7El%/00345, 00346, 00395
*/
	int procedure_datetime;
	/*design comment procedure_type_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PR1
/%HL7El%/00396
/%HL7Table%/0230
*/
	int procedure_type_code;
	int sequence_value;
	int tissue_type_code;
	};

#endif
