
#ifndef CLASS100_HPP
#define CLASS100_HPP
class Stakeholder
	{
	/*design in subject "Stakeholders" */

	/*design comment 
:/%Description%/A person or organization that has an investment, share, or interest in healthcare.
*/
public:
private:
	/*design comment addresses 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/IN2, PID, PID, STF, NK1, IN1, GT1, GT1, GT1, OM1, IN1, NK1
/%HL7El%/00798, 00115, 00114, 00679, 00193, 00444, 00430, 00421, 00409, 00613, 00469, 00750
*/
	int addresses;
	/*design comment credit_rating_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/GT1, PV1
/%HL7El%/00774, 00153
/%HL7Table%/0046
*/
	int credit_rating_code;
	/*design comment email_address 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/STF
/%HL7El%/00683
*/
	int email_address;
	/*design comment identifiers 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/STF, MRG, MRG, MRG, NK1, OBR, STF, IN2, IN2, IN2, IN2, IN1, IN1, GT1, GT1, FT1, IN2
/%HL7El%/00682, 00211, 00212, 00214, 00751, 00244, 00672, 00801, 00676, 00810, 00497, 00496, 00435, 00428, 00780, 00406, 00367, 00809
/%HL7Table%/0184, 0049
*/
	int identifiers;
	/*design comment phone_numbers 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/NK1, NK1, PID, IN2, STF, IN2, PID, IN2, IN1, GT1, GT1, GT1, GT1, OM1, IN2, NK1
/%HL7El%/00195, 00749, 00116, 00804, 00678, 00803, 00117, 00790, 00432, 00749, 00422, 00411, 00410, 00614, 00793, 00194
*/
	int phone_numbers;
	};

#endif
