
#ifndef CLASS012_HPP
#define CLASS012_HPP
#include "Class026.hpp"
class Allergy: public Clinical_state_item
	{
	/*design in subject "Clinical_state_items" */

	/*design comment 
:/%Description%/An abnormal reation of a patient to an allergen.
*/
public:
private:
	/*design comment allergy_identifier 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/AL1, AL1
/%HL7El%/00205, 00205
*/
	int allergy_identifier;
	/*design comment allergy_reaction_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/AL1
/%HL7El%/00207
*/
	int allergy_reaction_code;
	/*design comment allergy_reaction_description 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/AL1
/%HL7El%/00207
*/
	int allergy_reaction_description;
	/*design comment category_type_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/AL1, AL1
/%HL7El%/00204, 00204
/%HL7Table%/0127, 0127
*/
	int category_type_code;
	int drug_ingredient_identifier;
	/*design comment identification_date 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/AL1, AL1
/%HL7El%/00208, 00208
*/
	int identification_date;
	/*design comment last_update_tran_identifier 
:/%Description%/OpenIssue: This may be an inappropriate attribute for the reference model.
*/
	int last_update_tran_identifier;
	int onset_date;
	/*design comment severity_level_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/AL1, AL1
/%HL7El%/00206, 00206
/%HL7Table%/0128, 0128
*/
	int severity_level_code;
	};

#endif
