
#ifndef CLASS016_HPP
#define CLASS016_HPP
class Appointment
	{
	/*design in subject "Patient_encounters" */

	/*design comment 
:/%Description%/A planned patient encounter set for a specific time and place.
*/
public:
private:
	/*design comment appointment_datetime 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/ARQ
/%HL7El%/00870
*/
	int appointment_datetime;
	int appointment_disposition_code;
	/*design comment appointment_request_reason_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/SCH, ARQ
/%HL7El%/00866, 00866
/%HL7Table%/0276, 0276
*/
	int appointment_request_reason_code;
	/*design comment appointment_request_reason_text 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/SCH
/%HL7El%/00866
/%HL7Table%/0276
*/
	int appointment_request_reason_text;
	int cancellation_datetime;
	int cancellation_reason_code;
	/*design comment duration_unit_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/ARQ
/%HL7El%/00869
*/
	int duration_unit_code;
	/*design comment estimated_event_duration 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/ARQ
/%HL7El%/00868
*/
	int estimated_event_duration;
	int expected_service_description;
	/*design comment identifier 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/ARQ, ARQ
/%HL7El%/00860, 00861
*/
	int identifier;
	int overbook_indicator;
	int scheduling_begin_datetime;
	int scheduling_completed_datetime;
	int scheduling_status_code;
	/*design comment urgency_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/ARQ
/%HL7El%/00871
*/
	int urgency_code;
	/*design comment visit_type_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/ARQ
/%HL7El%/00867
/%HL7Table%/0277
*/
	int visit_type_code;
	int wait_list_priority_number;
	};

#endif
