
#ifndef CLASS025_HPP
#define CLASS025_HPP
#include "Class026.hpp"
class Clinical_measurement: public Clinical_state_item
	{
	/*design in subject "Clinical_state_items" */

	/*design comment 
:/%Description%/A measurement of an aspect of a patient derived from testing  and evaluation of a specimen or the patient.
/%HL7Reference%/V2.2
*/
public:
private:
	/*design comment body_surface_area_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX, OBX
/%HL7El%/00571, 00573
*/
	int body_surface_area_amount;
	/*design comment height_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX, OBX
/%HL7El%/00571, 00573
*/
	int height_amount;
	/*design comment ideal_weight_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX, OBX
/%HL7El%/00571, 00573
*/
	int ideal_weight_amount;
	/*design comment identifier 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00571
*/
	int identifier;
	/*design comment measurement_quantity 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00573
*/
	int measurement_quantity;
	int measurement_type_code;
	int qualifier_text;
	/*design comment result_datetime 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00582
*/
	int result_datetime;
	int result_evaluation_text;
	/*design comment specimen_received_datetime 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR
/%HL7El%/00248
*/
	int specimen_received_datetime;
	int test_description;
	/*design comment unit_type_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00574
*/
	int unit_type_code;
	/*design comment weight_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX, OBX
/%HL7El%/00571, 00573
*/
	int weight_amount;
	};

#endif
