
#ifndef CLASS029_HPP
#define CLASS029_HPP
class Diagnostic_related_group
	{
	/*design in subject "Patient_encounters" */
	/*design assoc Inpatient_encounter with Inpatient_encounter <"is_assigned_to (1,1)", "is_assigned (0,1)">
*/

	/*design comment 
:/%Description%/A broad categorization, based upon included procedures and diagnoses, that applies to the Healthcare event as a whole.  Used for grouping and evaluating Healthcare encounters with respect to duration of care and cost.
*/
public:
private:
	/*design comment cost_outlier_amount 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/DG1, DRG
/%HL7El%/00387, 00387
*/
	int cost_outlier_amount;
	int description;
	int discharge_disposition_code;
	/*design comment identifier 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/DG1, DRG
/%HL7El%/00382, 00382
/%HL7Table%/0055, 0055
*/
	int identifier;
	/*design comment outlier_days_amount 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/DG1, DRG
/%HL7El%/00386, 00386
*/
	int outlier_days_amount;
	/*design comment outlier_type_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/DRG, DG1
/%HL7El%/00385, 00385
/%HL7Table%/0083, 0083
*/
	int outlier_type_code;
	int transfer_type_code;
	int type_code;
	};

#endif
