
#ifndef CLASS031_HPP
#define CLASS031_HPP
class Encounter_hlthcare_practitioner
	{
	/*design in subject "Healthcare_delivery_participants" */
	/*design assoc Healthcare_practitioner with Healthcare_practitioner <"involves (1,1)", "is_involved_in (0,M)">
*/
	/*design assoc Patient_encounter with Patient_encounter <"is_associated_with (1,1)", "includes (1,M)">
*/

	/*design comment 
:/%Description%/An association between a healthcare practitioner and a patient encounter.
*/
public:
private:
	/*design comment participation_role_code 
:/%Description%/From HL7 ADT 2203 model [encounter].  Replaces attributes  attending doctor, consulting doctor, and referring doctor.
/%HL7Reference%/V2.3
/%HL7Seg%/PV1, PV1, PV1, DG1, PV1
/%HL7El%/00147, 00139, 00138, 00390, 00137
/%HL7Table%/0010, 0010, 0010, 0010
*/
	int participation_role_code;
	};

#endif
