
#ifndef CLASS036_HPP
#define CLASS036_HPP
class Guarantor_contract
	{
	/*design in subject "Patient_billing_accounts" */
	/*design assoc Stakeholder with Stakeholder <"involves (1,1)", "is_involved_in (0,M)">
*/

	/*design comment 
:/%Description%/A contract held by a stakeholder which specifies the financial responsibility of the stakeholder for a patient billing account.
*/
public:
private:
	/*design comment contract_duration_amount 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00157
*/
	int contract_duration_amount;
	/*design comment contract_type_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00154
/%HL7Table%/0044
*/
	int contract_type_code;
	/*design comment effective_date 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/GT1, PV1
/%HL7El%/00417, 00155
*/
	int effective_date;
	/*design comment interest_rate_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00158
/%HL7Table%/0073
*/
	int interest_rate_code;
	/*design comment periodic_payment_amount 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00156
*/
	int periodic_payment_amount;
	/*design comment priority_ranking_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/GT1
/%HL7El%/00419
*/
	int priority_ranking_code;
	/*design comment separate_bill_indicator 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PD1
/%HL7El%/00761
*/
	int separate_bill_indicator;
	/*design comment termination_date 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/GT1
/%HL7El%/00418
*/
	int termination_date;
	};

#endif
