
#ifndef CLASS054_HPP
#define CLASS054_HPP
#include "Class026.hpp"
class Ob_gyn_condition: public Clinical_state_item
	{
	/*design in subject "Clinical_state_items" */

	/*design comment 
:/%Description%/An obstetrical or gynecological relevant clinical state item.
/%HL7Reference%/V2.2
*/
public:
private:
	/*design comment cervix_present_indicator 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX, OBX
/%HL7El%/00571, 00573
*/
	int cervix_present_indicator;
	int hormone_therapy_indicator;
	/*design comment last_menstrual_period_end_date 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX, OBX
/%HL7El%/00571, 00573
*/
	int last_menstrual_period_end_date;
	/*design comment last_mentrual_period_start_date 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX, OBX
/%HL7El%/00571, 00573
*/
	int last_mentrual_period_start_date;
	/*design comment menstruation_type_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX, OBX
/%HL7El%/00573, 00571
*/
	int menstruation_type_code;
	/*design comment previous_pregnancies_value 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX, OBX
/%HL7El%/00573, 00571
*/
	int previous_pregnancies_value;
	};

#endif
