
#ifndef CLASS059_HPP
#define CLASS059_HPP
class Order
	{
	/*design in subject "Orders" */
	/*design part Order_service_item class Order_service_item <"has_parts (1,M)", "is_part_of (1,1)">
*/
	/*design assoc Healthcare_delivery_participant with Healthcare_delivery_participant <"is_placed_by (1,1)", "places (0,M)">
*/
	/*design assoc Order with Order <"is_parent_of (0,M)", "is_child_of (0,1)">
*/
	/*design assoc Order_analyzed_object with Order_analyzed_object <"uses (0,M)", "is_used_for (1,1)">
*/
	/*design assoc Patient with Patient <"has_as_subject (1,1)", "may_be_the_subject_of (0,M)">
*/
	/*design assoc Service_event with Service_event <"is_fulfilled_by (0,M)", "fulfills (0,1)">
*/

	/*design comment 
:/%Description%/An authoritative direction or instruction concerning Healthcare services for a patient.
/%HL7Reference%/V2.2
*/
public:
private:
	/*design comment begin_datetime 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR, RXG, ORC, ORC
/%HL7El%/00221, 00223
*/
	int begin_datetime;
	/*design comment callback_phone_number 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/OBR, ORC, ORC, OBR
/%HL7El%/00250, 00228, 00228, 00250
*/
	int callback_phone_number;
	int caregiver_instruction_text;
	/*design comment description 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OM1
/%HL7El%/00591
*/
	int description;
	/*design comment duration_amount 
:/%Description%/
/%HL7Seg%/ORC, OBR, RXG
/%HL7El%/00221
*/
	int duration_amount;
	/*design comment end_datetime 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/ORC
/%HL7El%/00223
*/
	int end_datetime;
	/*design comment frequency_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR, RXG, ORC
/%HL7El%/00221
*/
	int frequency_code;
	/*design comment observation_identifier 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OM1, OBX, OBX, OM1
/%HL7El%/00590, 00583, 00571, 00587
*/
	int observation_identifier;
	/*design comment order_group_identifier 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/ORC, ORC
/%HL7El%/00218, 00218
*/
	int order_group_identifier;
	/*design comment order_identifier 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/ORC, OBR, ORC, ORC, OBR, ORC
/%HL7El%/00222, 00216, 00217, 00216, 00216
*/
	int order_identifier;
	/*design comment order_placed_date 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/ORC, ORC
/%HL7El%/00223, 00215
*/
	int order_placed_date;
	/*design comment order_priority_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR, RXG, ORC
/%HL7El%/00221
*/
	int order_priority_code;
	int priority_code;
	/*design comment quantity_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/ORC, OBR, RXG, ORC
/%HL7El%/00221, 00221
*/
	int quantity_code;
	/*design comment response_request_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/ORC, ORC
/%HL7El%/00220, 00220
/%HL7Table%/0121, 0121
*/
	int response_request_code;
	/*design comment service_producer_identifier 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/OBR, OBX, OM1, ORC
/%HL7El%/00217, 00583, 00590, 00217
*/
	int service_producer_identifier;
	int special_handling_description;
	/*design comment status_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/ORC, ORC
/%HL7El%/00219, 00215
/%HL7Table%/0038
*/
	int status_code;
	/*design comment transport_mode_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR
/%HL7El%/00262
/%HL7Table%/0124
*/
	int transport_mode_code;
	};

#endif
