
#ifndef CLASS062_HPP
#define CLASS062_HPP
class Order_service_item
	{
	/*design in subject "Orders" */

	/*design comment 
:/%Description%/An instance of an orderable service item in an order.
/%HL7Reference%/V2.2
*/
public:
private:
	/*design comment charge_timing_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/BLG
/%HL7El%/00234
/%HL7Table%/0100
*/
	int charge_timing_code;
	/*design comment charge_type_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/BLG, BLG
/%HL7El%/00235, 00235
/%HL7Table%/0122, 0122
*/
	int charge_type_code;
	/*design comment condition_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR, RXG, ORC
/%HL7El%/00221
*/
	int condition_code;
	/*design comment conjunction_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR, RXG, ORC
/%HL7El%/00221
*/
	int conjunction_code;
	int description;
	/*design comment duration_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR, RXG, ORC
/%HL7El%/00221
*/
	int duration_code;
	/*design comment end_datetime 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR, RXG, ORC
/%HL7El%/00221
*/
	int end_datetime;
	/*design comment order_sequencing_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR, RXG, ORC
/%HL7El%/00221
*/
	int order_sequencing_code;
	/*design comment priority_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR, OBR, RXG, ORC
/%HL7El%/00239, 00221
*/
	int priority_code;
	/*design comment quantity_amount 
:/%Description%/
/%HL7Seg%/ORC, OBR, RXG
/%HL7El%/00221
*/
	int quantity_amount;
	/*design comment repeat_pattern_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR, RXG, ORC
/%HL7El%/00221
*/
	int repeat_pattern_code;
	/*design comment service_identifier 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX, OBR, OM1, OM1
/%HL7El%/00238, 00590, 00583, 00587
*/
	int service_identifier;
	/*design comment start_datetime 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR, RXG, ORC
/%HL7El%/00221
*/
	int start_datetime;
	/*design comment time_interval_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR, RXG, ORC
/%HL7El%/00221
*/
	int time_interval_code;
	};

#endif
