
#ifndef CLASS079_HPP
#define CLASS079_HPP
class Pharm_treat_admin_notice
	{
	/*design in subject "Pharmacy_treatment_gives" */
	/*design assoc Pharm_treat_give_notice with Pharm_treat_give_notice <"references (1,1)", "is_referenced_on (0,M)">
*/

	/*design comment 
:/%Description%/Notice of the administration of medication as part of a pharmacy treatment.
/%HL7Reference%/V2.2
*/
public:
private:
	/*design comment administered_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXA
/%HL7El%/00348
*/
	int administered_amount;
	/*design comment administered_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXA
/%HL7El%/00347
*/
	int administered_code;
	/*design comment administration_description 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXA
*/
	int administration_description;
	/*design comment administration_device_name 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXR
/%HL7El%/00311
/%HL7Table%/0164
*/
	int administration_device_name;
	/*design comment administration_method_name 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXR
/%HL7El%/00312
/%HL7Table%/0165
*/
	int administration_method_name;
	/*design comment counter_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXA
/%HL7El%/00342
*/
	int counter_amount;
	/*design comment dosage_form_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXA
/%HL7El%/00350
*/
	int dosage_form_code;
	/*design comment end_datetime 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXA
/%HL7El%/00346
*/
	int end_datetime;
	/*design comment location_description 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXA
/%HL7El%/00353
*/
	int location_description;
	/*design comment per_time_unit_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXA
/%HL7El%/00354
*/
	int per_time_unit_code;
	/*design comment route_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXR
/%HL7El%/00309
/%HL7Table%/0162
*/
	int route_code;
	/*design comment site_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXR
/%HL7El%/00310
/%HL7Table%/0163
*/
	int site_code;
	};

#endif
