
#ifndef CLASS084_HPP
#define CLASS084_HPP
class Pharm_treat_give_notice
	{
	/*design in subject "Pharmacy_treatment_gives" */
	/*design part Pharm_treat_give_component class Pharm_treat_give_component <"has_parts (0,M)", "is_part_of (1,1)">
*/
	/*design part Pharm_treat_give_route class Pharm_treat_give_route <"has_parts (0,M)", "is_part_of (1,1)">
*/

	/*design comment 
:/%Description%/
/%HL7Reference%/V2.2
*/
public:
private:
	/*design comment adminstration_description 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXA
/%HL7El%/00343
*/
	int adminstration_description;
	/*design comment description 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXA
/%HL7El%/00343
*/
	int description;
	/*design comment dispense_to_location_identifier 
:/%Description%/
/%HL7Seg%/RXO, RXD, RXE, RXG
/%HL7El%/00299
*/
	int dispense_to_location_identifier;
	/*design comment give_counter_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXG
/%HL7El%/00342
*/
	int give_counter_amount;
	/*design comment give_dosage_form_code 
:/%Description%/
/%HL7Seg%/RXE, RXG
/%HL7El%/00321
*/
	int give_dosage_form_code;
	/*design comment give_per_time_unit_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXG, RXE
/%HL7El%/00331
*/
	int give_per_time_unit_amount;
	/*design comment give_rate_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXG, RXE
/%HL7El%/00332
*/
	int give_rate_amount;
	/*design comment max_give_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXG, RXE
/%HL7El%/00319
*/
	int max_give_amount;
	/*design comment min_give_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXG, RXE
/%HL7El%/00318
*/
	int min_give_amount;
	/*design comment needs_human_review_indicator 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXD, RXE, RXG, RXO
/%HL7El%/00307
*/
	int needs_human_review_indicator;
	/*design comment quantity_timing_code 
:/%Description%/
/%HL7Seg%/RXG, ORC, RXE, OBR
/%HL7El%/00221
*/
	int quantity_timing_code;
	/*design comment substitution_status_code 
:/%Description%/
/%HL7Seg%/RXE, RXG
/%HL7El%/00322
/%HL7Table%/0167
*/
	int substitution_status_code;
	};

#endif
