
#ifndef CLASS104_HPP
#define CLASS104_HPP
#include "Class055.hpp"
class Vital_signs_measurement: public Observation
	{
	/*design in subject "Observations" */

	/*design comment 
:/%Description%/A measurement of essential body functions, comprising pulse rate, body temperature, and respiration. 
/%HL7Reference%/V2.2
*/
public:
private:
	/*design comment blood_pressure_type_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00571
*/
	int blood_pressure_type_code;
	/*design comment diastolic_blood_pressure_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00573
*/
	int diastolic_blood_pressure_amount;
	/*design comment heart_rate_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00573
*/
	int heart_rate_amount;
	/*design comment height_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00573
*/
	int height_amount;
	/*design comment measurement_datetime 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00582
*/
	int measurement_datetime;
	/*design comment respiratory_rate_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00573
*/
	int respiratory_rate_amount;
	/*design comment systolic_blood_pressure_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00573
*/
	int systolic_blood_pressure_amount;
	/*design comment temperature_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00573
*/
	int temperature_amount;
	/*design comment weight_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00573
*/
	int weight_amount;
	};

#endif
