
#ifndef CLASS058_HPP
#define CLASS058_HPP
#include "Class096.hpp"
class Observation_service_type: public Service_catalog_item
	{
	/*design in subject "Observation_service_types" */
	/*design assoc Reflex_services with Reflex_services <"is_referenced_by (0,M)", "references (1,1)">
*/

	/*design comment 
:/%Description%/
/%HL7Reference%/V2.2
*/
public:
private:
	/*design comment change_effective_datetime 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OM1
/%HL7El%/00607
*/
	int change_effective_datetime;
	/*design comment instrument_identifier 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OM1
/%HL7El%/00598
*/
	int instrument_identifier;
	/*design comment interpretation_description 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OM1
/%HL7El%/00617
*/
	int interpretation_description;
	/*design comment last_normal_observation_date 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00580
*/
	int last_normal_observation_date;
	/*design comment lower_limit_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00575
*/
	int lower_limit_amount;
	/*design comment observation_identifier 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00571
*/
	int observation_identifier;
	/*design comment permitted_data_type_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OM1
/%HL7El%/00588
/%HL7Table%/0125
*/
	int permitted_data_type_code;
	/*design comment processing_priority_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OM1
/%HL7El%/00610
/%HL7Table%/0168
*/
	int processing_priority_code;
	/*design comment processing_time_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OM1
/%HL7El%/00609
*/
	int processing_time_amount;
	/*design comment reporting_priority_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OM1
/%HL7El%/00611
*/
	int reporting_priority_code;
	/*design comment specimen_required_indicator 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OM1
/%HL7El%/00589
*/
	int specimen_required_indicator;
	/*design comment turn_around_time_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OM1
/%HL7El%/00608
*/
	int turn_around_time_amount;
	/*design comment upper_limit_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00575
*/
	int upper_limit_amount;
	};

#endif
