
#ifndef CLASS028_HPP
#define CLASS028_HPP
class Diagnosis
	{
	/*design in subject "Patient_encounters" */
	/*design assoc Patient_encounter with Patient_encounter <"is_for (1,1)", "has (0,M)">
*/

	/*design comment 
:/%Description%/The decision reached from the process of determining by examination the nature and circumstances of a diseased condition.
*/
public:
private:
	/*design comment classification_scheme_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/DG1
/%HL7El%/00376
/%HL7Table%/0053
*/
	int classification_scheme_code;
	/*design comment diagnosis_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PR1, DG1, FT1
/%HL7El%/00772, 00377, 00371
/%HL7Table%/0051, 0051
*/
	int diagnosis_code;
	/*design comment diagnosis_descriptive_text 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/DG1
/%HL7El%/00378
*/
	int diagnosis_descriptive_text;
	/*design comment diagnosis_level_number 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/DG1
/%HL7El%/00389
*/
	int diagnosis_level_number;
	int diagnosis_onset_date_time;
	int diagnosis_phase_code;
	int rule_out_datetime;
	int ruled_out_reason_text;
	/*design comment type_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/DG1
/%HL7El%/00380
/%HL7Table%/0052
*/
	int type_code;
	};

#endif
