
#ifndef CLASS073_HPP
#define CLASS073_HPP
class Patient_service
	{
	/*design in subject "Patient_services" */

	/*design comment 
:/%Description%/A Healthcare service provided to a patient during a service event.
*/
public:
private:
	/*design comment begin_datetime 
:/%Description%/Date the patient service begins.  
/%HL7Reference%/V2.2
/%HL7Seg%/RXA, RXD, OBR
/%HL7El%/00345, 00336, 00241
*/
	int begin_datetime;
	/*design comment category_code 
:/%Description%/Value that characterizes an overall caregory of patient service.
*/
	int category_code;
	/*design comment confidential_indicator 
:/%Description%/indicates whether patient considers this procedure to be confidential.
*/
	int confidential_indicator;
	int declined_indicator;
	/*design comment description 
:/%Description%/Text that describes the service performed along with relevant details of the service.
/%HL7Reference%/V2.2
/%HL7Seg%/OM1
/%HL7El%/00591
*/
	int description;
	/*design comment end_datetime 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR, RXA
/%HL7El%/00241, 00346
*/
	int end_datetime;
	int requested_datetime;
	/*design comment scheduled_datetime 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00734
*/
	int scheduled_datetime;
	};

#endif
