
#ifndef CLASS076_HPP
#define CLASS076_HPP
class Person_birth
	{
	/*design in subject "Stakeholders" */
	/*design assoc Person with Person <"pertains_to (1,1)", "has (0,1)">
*/

	/*design comment 
:/%Description%/The act or process of bearing or bringing forth offspring.
*/
public:
private:
	int apgar_score_amount;
	/*design comment baby_detained_indicator 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00738
*/
	int baby_detained_indicator;
	int birth_certificate_identifier;
	int birth_city_name;
	int birth_country_code;
	int birth_method_code;
	/*design comment birth_order_number 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PID, PID
/%HL7El%/00128, 00128
*/
	int birth_order_number;
	int birth_recorded_county_code;
	int birth_recorded_date;
	int birth_state_code;
	int birth_weight_quantity;
	int cesarian_section_indicator;
	int delivery_date;
	int gestation_period_amount;
	/*design comment multiple_birth_indicator 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PID
/%HL7El%/00127
/%HL7Table%/0136
*/
	int multiple_birth_indicator;
	int newborn_days_quantity;
	int newborn_gender_code;
	int newborn_type_code;
	/*design comment previous_cesarean_indicator 
:/%Description%/An indication as to whether the patient had a cesarean section with a prior birth.
*/
	int previous_cesarean_indicator;
	int status_code;
	int stillborn_indicator;
	/*design comment tear_quantity 
:/%Description%/Degree of tear incurred during delivery.
*/
	int tear_quantity;
	};

#endif
