
#ifndef CLASS078_HPP
#define CLASS078_HPP
class Person_employment
	{
	/*design in subject "Stakeholders" */
	/*design assoc Stakeholder with Stakeholder <"has_as_employer (1,1)", "is_employer_of (0,M)">
*/

	/*design comment 
:/%Description%/The state of being employed.  An occupation by which a person earns a living; work; business. 
*/
public:
private:
	int address;
	/*design comment begin_date 
:/%Description%/The date the person's employment begins.
/%HL7Reference%/V2.3
/%HL7Seg%/GT1, IN2
/%HL7El%/00782, 00787
*/
	int begin_date;
	/*design comment employee_identifier 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/IN2, NK1, GT1
/%HL7El%/00472, 00201, 00423
*/
	int employee_identifier;
	/*design comment end_date 
:/%Description%/Date the person's employment ends.
/%HL7Reference%/V2.3
/%HL7Seg%/GT1, IN2
/%HL7El%/00783, 00788
*/
	int end_date;
	int exposure_text;
	/*design comment job_class_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/GT1, STF, NK1, IN2
/%HL7El%/00786, 00786, 00200, 00786
*/
	int job_class_code;
	/*design comment job_title_name 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/GT1, IN2, NK1, STF
/%HL7El%/00785, 00785, 00199, 00785
*/
	int job_title_name;
	int protective_equipment_text;
	int salary_amount;
	int salary_code;
	/*design comment status_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/IN1, IN2, GT1, GT1, NK1
/%HL7El%/00467, 00752, 00752, 00424, 00752
/%HL7Table%/0066, 0066
*/
	int status_code;
	int telephone;
	};

#endif
