
#ifndef CLASS101_HPP
#define CLASS101_HPP
class Stakeholder_affiliation
	{
	/*design in subject "Stakeholders" */
	/*design assoc Stakeholder with Stakeholder <"has_as_primary_participant (1,1)", "participates_as_primary_in (0,M)">
*/
	/*design assoc Stakeholder with Stakeholder <"has_as_secondary_participant (1,1)", "participates_as_secondary_in (0,M)">
*/

	/*design comment 
:/%Description%/A association between one stakeholder and another.
*/
public:
private:
	/*design comment affiliation_type_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/GT1, PV2, NK1, NK1, IN2, IN2, GT1, IN1
/%HL7El%/00415, 00735, 00196, 00192, 00811, 00802, 00784, 00442
/%HL7Table%/0063, 0131, 0063, 0063, 0063, 0063, 0063
*/
	int affiliation_type_code;
	/*design comment contact_reason_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/IN2, NK1, GT1, IN2
/%HL7El%/00794, 00747, 00747, 00791
/%HL7Table%/0222, 0222, 0222, 0222
*/
	int contact_reason_code;
	/*design comment effective_date 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/IN2, NK1
/%HL7El%/00796, 00197
*/
	int effective_date;
	/*design comment living_dependency_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/GT1, IN2, NK1, PD1
/%HL7El%/00755, 00755, 00755, 00755
/%HL7Table%/0223, 0223, 0223, 0223
*/
	int living_dependency_code;
	/*design comment termination_date 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/NK1, IN2
/%HL7El%/00198, 00797
/%HL7Table%/0232
*/
	int termination_date;
	};

#endif
